use ::phf::{phf_set, Set};

// Sourced from https://developer.mozilla.org/en-US/docs/Web/HTML/Element#Inline_text_semantics.
// Differences to tags listed in table at above URL: -br, +del, +ins.
pub static FORMATTING_TAGS: Set<&'static [u8]> = phf_set! {
	b"a",
	b"abbr",
	b"b",
	b"bdi",
	b"bdo",
	b"cite",
	b"data",
	b"del",
	b"dfn",
	b"em",
	b"i",
	b"ins",
	b"kbd",
	b"mark",
	b"q",
	b"rp",
	b"rt",
	b"rtc",
	b"ruby",
	b"s",
	b"samp",
	b"small",
	b"span",
	b"strong",
	b"sub",
	b"sup",
	b"time",
	b"u",
	b"var",
	b"wbr",
};
